Subject: Camp-Haus 6HP 220V 60G compressor

From: [email-masked] (Dave Williams)
Date: 25 Sep 94 21:05:00 GMT

-> Does anyone have any experience with the Campbell-Hausfeld
-> "professional" series 6HP 60-gallon 220V single-stage upright
-> compressor?

 I have one.  It works just fine, though getting wired for 220v was a
hassle.  It's not as efficient as a two stage, but I thought it was a
very good value for the money.

-> This until claims 9.1@90 which should be adequate.  Best price I've
-> seen so far is $485 from Grizzly (plus FOB).

 I paid $415 from the local farm supply store a couple of years ago, and
saw them at Sam's Wholesale (a price club) for $399 last year.
$485+shipping would only be a deal if you lived even further out in the
boonies than I do.